# protx\_list {disallowed} - Dash

#### Parameters

`submethod` - string

None

`type` - string

Optional.

The type of ProTxs to list:

\- registered - all ProTxs registered at height

\- valid - all active/valid ProTxs at height

\- wallet - all ProTxs found in the current wallet

Height defaults to current chain-tip if one is not provided.

`detailed` - bool

Optional.

If set to false (default), only ProTx hashes are returned. If set to true, a detailed list of ProTx details is returned.

`None` - None

Optional.

List ProTxs from this height (default: current chain tip).

#### Request

```java
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0",
"method": "protx",
"params": ["list", null, null, null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "result": "null",
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getblock.io/api-reference/dash-dash/dash_protx_list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
